Crazy Eddies GUI System: CEGUI::ImageDim Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::ImageDim Class Reference

Dimension type that represents some dimension of a named Image. Implements BaseDim interface. More...

Inheritance diagram for CEGUI::ImageDim:

[legend]
Collaboration diagram for CEGUI::ImageDim:

[legend]
List of all members.

## Public Member Functions
| ImageDim (const String &imageset, const String &image, DimensionType dim)
| Constructor.
void | setSourceImage (const String &imageset, const String &image)
| Sets the source image information for this ImageDim.
void | setSourceDimension (DimensionType dim)
| Sets the source dimension type for this ImageDim.
## Protected Member Functions
float | getValue_impl (const Window &wnd) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically.
float | getValue_impl (const Window &wnd, const Rect &container) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically by BaseDim.
void | writeXMLElementName_impl (OutStream &out_stream) const
| Implementataion method to output real xml element name to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element name itself.
void | writeXMLElementAttributes_impl (OutStream &out_stream) const
| Implementataion method to output xml element attributes to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element attributes.
BaseDim * | clone_impl () const
| Implementataion method to return a clone of this sub-class of BaseDim. This method should not attempt to clone the mathematical operator or operand; theis is handled automatically by BaseDim.

## Detailed Description

Dimension type that represents some dimension of a named Image. Implements BaseDim interface.

## Constructor & Destructor Documentation

CEGUI::ImageDim::ImageDim | ( | const String & | imageset,
|  | const String & | image,
|  | DimensionType | dim
| ) |

  | Constructor. Parameters:
  | imageset | String object holding the name of the imagseset which contains the image.
  | image | String object holding the name of the image.
  | dim | DimensionType value indicating which dimension of the described image that this ImageDim is to represent.

## Member Function Documentation

void CEGUI::ImageDim::setSourceDimension | ( | DimensionType | dim | ) |

  | Sets the source dimension type for this ImageDim. Parameters:
  | dim | DimensionType value indicating which dimension of the described image that this ImageDim is to represent.
Returns: Nothing.

void CEGUI::ImageDim::setSourceImage | ( | const String & | imageset,
|  | const String & | image
| ) |

  | Sets the source image information for this ImageDim. Parameters:
  | imageset | String object holding the name of the imagseset which contains the image.
  | image | String object holding the name of the image.
Returns: Nothing.